org.jfree.chart.plot

## Class WaferMapPlot

- java.lang.Object
- - org.jfree.chart.plot.Plot
  - - org.jfree.chart.plot.WaferMapPlot

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.EventListener, AnnotationChangeListener, AxisChangeListener, MarkerChangeListener, RendererChangeListener, LegendItemSource, DatasetChangeListener, org.jfree.util.PublicCloneable

    public class WaferMapPlot
    extends Plot
    implements RendererChangeListener, java.lang.Cloneable, java.io.Serializable

A wafer map plot.

See Also:
  Serialized Form

### Field Summary

Fields
`static java.awt.Paint` `DEFAULT_CROSSHAIR_PAINT` The default crosshair paint.
`static java.awt.Stroke` `DEFAULT_CROSSHAIR_STROKE` The default crosshair stroke.
`static boolean` `DEFAULT_CROSSHAIR_VISIBLE` The default crosshair visibility.
`static java.awt.Paint` `DEFAULT_GRIDLINE_PAINT` The default grid line paint.
`static java.awt.Stroke` `DEFAULT_GRIDLINE_STROKE` The default grid line stroke.
`protected static java.util.ResourceBundle` `localizationResources` The resourceBundle for the localization.

### Fields inherited from class org.jfree.chart.plot.Plot

`DEFAULT_BACKGROUND_ALPHA, DEFAULT_BACKGROUND_PAINT, DEFAULT_FOREGROUND_ALPHA, DEFAULT_INSETS, DEFAULT_LEGEND_ITEM_BOX, DEFAULT_LEGEND_ITEM_CIRCLE, DEFAULT_OUTLINE_PAINT, DEFAULT_OUTLINE_STROKE, MINIMUM_HEIGHT_TO_DRAW, MINIMUM_WIDTH_TO_DRAW, ZERO`

### Constructor Summary

Constructors
Constructor and Description
`WaferMapPlot()` Creates a new plot with no dataset.
`WaferMapPlot(WaferMapDataset dataset)` Creates a new plot.
`WaferMapPlot(WaferMapDataset dataset, WaferMapRenderer renderer)` Creates a new plot.

### Method Summary

Methods
`void` `draw(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D area, java.awt.geom.Point2D anchor, PlotState state, PlotRenderingInfo info)` Draws the wafermap view.
`protected void` `drawChipGrid(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D plotArea)` Calculates and draws the chip locations on the wafer.
`protected void` `drawWaferEdge(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D plotArea)` Draws the waferedge, including the notch.
`WaferMapDataset` `getDataset()` Returns the dataset
`LegendItemCollection` `getLegendItems()` Return the legend items from the renderer.
`java.lang.String` `getPlotType()` Returns the plot type as a string.
`protected java.awt.geom.Ellipse2D` `getWaferEdge(java.awt.geom.Rectangle2D plotArea)` Calculates the location of the waferedge.
`void` `rendererChanged(RendererChangeEvent event)` Notifies all registered listeners of a renderer change.
`void` `setDataset(WaferMapDataset dataset)` Sets the dataset used by the plot and sends a `PlotChangeEvent` to all registered listeners.
`void` `setRenderer(WaferMapRenderer renderer)` Sets the item renderer, and notifies all listeners of a change to the plot.

### Methods inherited from class org.jfree.chart.plot.Plot

`addChangeListener, annotationChanged, axisChanged, clone, createAndAddEntity, datasetChanged, drawBackground, drawBackgroundImage, drawNoDataMessage, drawOutline, equals, fillBackground, fillBackground, fireChangeEvent, getBackgroundAlpha, getBackgroundImage, getBackgroundImageAlignment, getBackgroundImageAlpha, getBackgroundPaint, getDatasetGroup, getDrawingSupplier, getForegroundAlpha, getInsets, getNoDataMessage, getNoDataMessageFont, getNoDataMessagePaint, getOutlinePaint, getOutlineStroke, getParent, getRectX, getRectY, getRootPlot, handleClick, isNotify, isOutlineVisible, isSubplot, markerChanged, notifyListeners, removeChangeListener, resolveDomainAxisLocation, resolveRangeAxisLocation, setBackgroundAlpha, setBackgroundImage, setBackgroundImageAlignment, setBackgroundImageAlpha, setBackgroundPaint, setDatasetGroup, setDrawingSupplier, setDrawingSupplier, setForegroundAlpha, setInsets, setInsets, setNoDataMessage, setNoDataMessageFont, setNoDataMessagePaint, setNotify, setOutlinePaint, setOutlineStroke, setOutlineVisible, setParent, zoom`

### Methods inherited from class java.lang.Object

`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_GRIDLINE_STROKE

    public static final java.awt.Stroke DEFAULT_GRIDLINE_STROKE

The default grid line stroke.

#### DEFAULT_GRIDLINE_PAINT

    public static final java.awt.Paint DEFAULT_GRIDLINE_PAINT

The default grid line paint.

#### DEFAULT_CROSSHAIR_VISIBLE

    public static final boolean DEFAULT_CROSSHAIR_VISIBLE

The default crosshair visibility.

See Also:
  Constant Field Values

#### DEFAULT_CROSSHAIR_STROKE

    public static final java.awt.Stroke DEFAULT_CROSSHAIR_STROKE

The default crosshair stroke.

#### DEFAULT_CROSSHAIR_PAINT

    public static final java.awt.Paint DEFAULT_CROSSHAIR_PAINT

The default crosshair paint.

#### localizationResources

    protected static java.util.ResourceBundle localizationResources

The resourceBundle for the localization.

### Constructor Detail

#### WaferMapPlot

    public WaferMapPlot()

Creates a new plot with no dataset.

#### WaferMapPlot

    public WaferMapPlot(WaferMapDataset dataset)

Creates a new plot.

Parameters:
  `dataset` - the dataset (`null` permitted).

#### WaferMapPlot

    public WaferMapPlot(WaferMapDataset dataset,
                WaferMapRenderer renderer)

Creates a new plot.

Parameters:
  `dataset` - the dataset (`null` permitted).
  `renderer` - the renderer (`null` permitted).

### Method Detail

#### getPlotType

    public java.lang.String getPlotType()

Returns the plot type as a string.

Specified by:
  `getPlotType` in class `Plot`
Returns:
  A short string describing the type of plot.

#### getDataset

    public WaferMapDataset getDataset()

Returns the dataset

Returns:
  The dataset (possibly `null`).

#### setDataset

    public void setDataset(WaferMapDataset dataset)

Sets the dataset used by the plot and sends a `PlotChangeEvent` to all registered listeners.

Parameters:
  `dataset` - the dataset (`null` permitted).

#### setRenderer

    public void setRenderer(WaferMapRenderer renderer)

Sets the item renderer, and notifies all listeners of a change to the plot. If the renderer is set to `null`, no chart will be drawn.

Parameters:
  `renderer` - the new renderer (`null` permitted).

#### draw

    public void draw(java.awt.Graphics2D g2,
            java.awt.geom.Rectangle2D area,
            java.awt.geom.Point2D anchor,
            PlotState state,
            PlotRenderingInfo info)

Draws the wafermap view.

Specified by:
  `draw` in class `Plot`
Parameters:
  `g2` - the graphics device.
  `area` - the plot area.
  `anchor` - the anchor point (`null` permitted).
  `state` - the plot state.
  `info` - the plot rendering info.

#### drawChipGrid

    protected void drawChipGrid(java.awt.Graphics2D g2,
                    java.awt.geom.Rectangle2D plotArea)

Calculates and draws the chip locations on the wafer.

Parameters:
  `g2` - the graphics device.
  `plotArea` - the plot area.

#### getWaferEdge

    protected java.awt.geom.Ellipse2D getWaferEdge(java.awt.geom.Rectangle2D plotArea)

Calculates the location of the waferedge.

Parameters:
  `plotArea` - the plot area.
Returns:
  The wafer edge.

#### drawWaferEdge

    protected void drawWaferEdge(java.awt.Graphics2D g2,
                     java.awt.geom.Rectangle2D plotArea)

Draws the waferedge, including the notch.

Parameters:
  `g2` - the graphics device.
  `plotArea` - the plot area.

#### getLegendItems

    public LegendItemCollection getLegendItems()

Return the legend items from the renderer.

Specified by:
  `getLegendItems` in interface `LegendItemSource`
Overrides:
  `getLegendItems` in class `Plot`
Returns:
  The legend items.

#### rendererChanged

    public void rendererChanged(RendererChangeEvent event)

Notifies all registered listeners of a renderer change.

Specified by:
  `rendererChanged` in interface `RendererChangeListener`
Parameters:
  `event` - the event.